Developer Portal

Update ProfilePUT

Replace the client profile data. Send the full updated profile object, including all fields that should remain on the profile.

View as Markdown
PUT
/profiles/{profile.id}

Authorization

Authorization<token>

Bearer access token issued by the admin login flow.

In: header

Request Body

application/jsonRequired

profile

The client profile

emailstring
firstNamestring
lastNamestring
ipAddressstring
languagestring
addressstring
zipCodestring
citystring
statestring
countrystring
phonestring
companystring
metaDatastring
birthDatestring
Format: "int64"
timezoneIANA timezone, e.g. "Europe/London"; "" = UTC
passwordstring

Path Parameters

profile.idRequiredstring
curl -X PUT "https://example.com/profiles/<string>" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "string",
    "firstName": "string",
    "lastName": "string",
    "ipAddress": "string",
    "language": "string",
    "address": "string",
    "zipCode": "string",
    "city": "string",
    "state": "string",
    "country": "string",
    "phone": "string",
    "company": "string",
    "metaData": "string",
    "birthDate": "string",
    "timezone": "string",
    "password": "string"
  }'

A successful response.

{
  "id": "string",
  "email": "string",
  "firstName": "string",
  "lastName": "string",
  "ipAddress": "string",
  "language": "string",
  "address": "string",
  "zipCode": "string",
  "city": "string",
  "state": "string",
  "country": "string",
  "phone": "string",
  "company": "string",
  "metaData": "string",
  "birthDate": "string",
  "timezone": "string",
  "password": "string"
}